package org.springblade.business.vo;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class TreeVo {

    private String name;

    private String hierarchy;

    private List<TreeVo> treeList = new ArrayList<>();

    public TreeVo(String name, List<TreeVo> treeList, String hierarchy){
        this.name = name;
        this.treeList = treeList;
        this.hierarchy = hierarchy;
    }

    public TreeVo(){}

}
